## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global srcname jsonschema-path
%global modname jsonschema_path

Name:           python-%{srcname}
Version:        0.3.1
Release:        %autorelease
Summary:        Object-oriented JSONSchema

License:        Apache-2.0
URL:            https://github.com/p1c2u/%{srcname}
# The GitHub archive has the tests; the PyPI sdist does not.
Source:         %{url}/archive/%{version}/%{srcname}-%{version}.tar.gz

# Do not require quite such a recent version of requests
#
# Until python-requests is updated to 2.31.0[1], loosen the minimum version to
# 2.28.1. It is an optional dependency that was added with “deptry”
# analysis[2], which is only really useful for upstream CI, but it is also
# imported from jsonschema_path/handlers/requests.py. There is no obvious
# reason why the most recent version (ahead of Rawhide as of this writing)
# should be needed.
#
# [1] https://bugzilla.redhat.com/show_bug.cgi?id=2189970
# [2] https://github.com/p1c2u/jsonschema-path/commit/d207d233e31198942ba417875e2c1e09f848ab5d
Patch:          0001-Do-not-require-quite-such-a-recent-version-of-reques.patch

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(responses)

%global _description %{expand:
A python library which provides traverse JSON resources like paths and
access resources on demand with separate dereferencing accessor layer.}

%description %_description


%package -n     python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %_description


%prep
%autosetup -n %{srcname}-%{version} -p1
# https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#_linters
sed -r -i '/^--cov[-=]/d' pyproject.toml


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files %{modname}


%check
%pytest


%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE
%doc README.rst


%changelog
* Mon Nov 06 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.3.1-2
- Do not Obsolete python3-jsonschema-spec

* Thu Oct 19 2023 Mattia Verga <mattia.verga@proton.me> - 0.3.1-1
- Initial release (fedora#2244182)
